مشکل با php7

mehrdad97

تازه وارد
18/4/18
25
6
3
من وقتی از روی سی پنل سایتم ورژن php را روی 7 تنظیم میکنم پیغام خزا میدهد
سایت با مشکلات فنی روبروشده است
آیا این مربوط به وردپرس و یا ووکامرس فارسی است یا مربوط به قالبم می شود؟
 
  • Like
Reactions: جاویدان

جاویدان

کاربر عضو
27/4/15
2,169
474
83
39
استان تهران
با سلام دوست عزیز
بهترین نسخه فعلا 7.2 است ولی حتما باید نسخه ea.7.2 باشد کلا شما نباید از نسخه های alt برای php استفاده کنید چون برای مصارف دیگر است. حتی نسخه 7 هم باید ea7 باشد نه نسخه alt7 پس در این مورد دقت کنید.
موفق باشید
 
  • Like
Reactions: niknam

mehrdad97

تازه وارد
18/4/18
25
6
3
با سلام دوست عزیز
بهترین نسخه فعلا 7.2 است ولی حتما باید نسخه ea.7.2 باشد کلا شما نباید از نسخه های alt برای php استفاده کنید چون برای مصارف دیگر است. حتی نسخه 7 هم باید ea7 باشد نه نسخه alt7 پس در این مورد دقت کنید.
موفق باشید
لطفا فایل پیوست را ملاحظه کنید
من نسخه ea7 را فعال میکنم که با پیغام خطا مواجه می شوم
 

پیوست ها

  • 257.8 کیلوبایت بازدیدها: 4
  • Like
Reactions: جاویدان

جاویدان

کاربر عضو
27/4/15
2,169
474
83
39
استان تهران
با سلام دوست عزیز
اولا خطا دیده نمی شود شما باید تیک بغل دامنه رو فعال کنید سپس نسخه مورد نظر رو تعیین و اپلی رو کلیک کنید. تا ضمن تغییر به نسخه جدید تغییر کند و شما در مقابل نسخه ببینید. یادتان باشد حتما سایت را در بعد از این موارد تست بگیرید.
اما توصیه به شما اینست که با پشتیبانی تماس بگیرید و درخواست فعال شدن نسخه 7.2 را داشته باشید.
در سی پنل در نسخه های جدید تا 7.2 و در برخی سرورها تا 7.3 هم در دسترس است و همه آنها در نسخه بروزشده جدید باید باشند.
موفق باشید
 

mehrdad97

تازه وارد
18/4/18
25
6
3
با سلام دوست عزیز
اولا خطا دیده نمی شود شما باید تیک بغل دامنه رو فعال کنید سپس نسخه مورد نظر رو تعیین و اپلی رو کلیک کنید. تا ضمن تغییر به نسخه جدید تغییر کند و شما در مقابل نسخه ببینید. یادتان باشد حتما سایت را در بعد از این موارد تست بگیرید.
اما توصیه به شما اینست که با پشتیبانی تماس بگیرید و درخواست فعال شدن نسخه 7.2 را داشته باشید.
در سی پنل در نسخه های جدید تا 7.2 و در برخی سرورها تا 7.3 هم در دسترس است و همه آنها در نسخه بروزشده جدید باید باشند.
موفق باشید
عکسی که فرستادم برای این بود که نشان دهد نسخه 7. ea هست. وگرنه اون رو انتخاب کردم و تایید کردم پیغام خطا میدهد . هم صفحه مدیریت و هم صفحات اصلی محصولات مشکل پیدا میکند. اینم عکس پیغام خطا...
یکی از دوستان میگفت پوسته و قالبت سازگاری ندارد. یکی دیگر میگفت ووکامرس فارسی مشکل دارد.....
 

پیوست ها

  • Like
Reactions: جاویدان

جاویدان

کاربر عضو
27/4/15
2,169
474
83
39
استان تهران
با سلام دوست عزیز
ساده ترین روش برای فهم این مشکل اینست که شما اول همه افزونه ها را بدون استثنا بجز وکامرس غیر فعال می کنید
با رعایت این قانون که همه افزونه ها و قالب شما بروزرسانی شده است و همچنین وردپرس و وکامرس شما
سپس قالب 2019 رو فعال می کنید
سپس این نسخه php رو فعال می کنید
اگر مشکل وجود نداشت تست قالب خودتان آغاز کنید سپس تست افزونه ها تک به تک (اگر در این بخش مشکل داشته باشید مشخص می شود )
یک بخش در مدیرت وردپرس در نسخه 5.2 قرار دارد که در بخش ابزارها قابل رویت و دسترس است از اون برای تست و بررسی سرور و سایت کمک بگیرید
اما اگر خطا با فعال سازی قالب 2019 وجود داشت مطمئن می شوید احتمالا پشتیبانی شما از نسخه دستکاری شده این php استفاده کرده یعنی برخی موارد در اون حذف یا غیر فعال است (این مورد به این دلیل است سرورهای داخلی به علت تحریم سی پنل از نسخه نال شده و کرک شده یک سایت ایرانی در این زمینه گاها استفاده می کنند) ،پس با پشتیبانی تماس می گیرد و این مشکل رو گزارش می دهید، ضمنا توصیه کردم نسخه 7.2 بهتر است و باید برای شما در دسترس قرار دهند.
موفق باشید
 

mehrdad97

تازه وارد
18/4/18
25
6
3
درود
الان php 7.2 را روی سرور نصب کردند.
وتی فعال میکنم
با 2 تا افزونه مشکل دارد
یکی digits و دیگری card2card آیا این دو افزونه برای php 7.2 ست نشده اند؟

این نمونه پیغام های خطا:


Notice: load_plugin_textdomain was called with an argument that is deprecated since version 2.7.0 with no alternative available. in /home/takhfifcenter/public_html/wp-includes/functions.php on line 4655

Warning
: session_start(): Cannot start session when headers already sent in /home/takhfifcenter/public_html/wp-content/plugins/digits/digit.php on line 56

Warning
: session_start(): Cannot start session when headers already sent in /home/takhfifcenter/public_html/wp-content/themes/digitalworld/famework/includes/theme-functions.php on line 20
 
آخرین ویرایش: